Summary: An implementation of the CORBA 2.2 standard Object Request Broker.
Name:        mico
Version:     2.3.1
Release:     1
Source:      http://www.mico.org/mico-%{PACKAGE_VERSION}.tar.bz2
Copyright:   GPL/LGPL
URL:         http://www.mico.org
Group: System Environment/Libraries
Buildroot:   /var/tmp/%{name}-buildroot
ExcludeArch: alpha

%description
MICO (MICO Is CORBA) is a freely available and fully compliant
implementation of the CORBA 2.2 standard Object Request Broker.  The
mico package contains the shared libraries and demons needed to run
MICO applications.  For development, you'll also need mico-devel, the
IDL compiler and headers, and possibly mico-static, the static
libraries.

%package     devel
Summary: IDL compiler and headers for writing MICO applications.
Group: Development/Tools
Requires:    mico = %{PACKAGE_VERSION}
Requires:    binutils >= 2.9.1.0.16, egcs-c++ >= 1.1.1

%description devel
MICO (MICO Is CORBA) is a freely available and fully compliant
implementation of the CORBA 2.2 standard Object Request Broker.  The
mico-devel package contains the IDL compiler and headers for writing
MICO applications.  You'll also need the mico package, which contains
the shared libraries and demons needed to run MICO applications, and
possibly mico-static, the static libraries.

%package     static
Summary: Static libraries for writing MICO applications.
Group: Development/Libraries
Requires:    mico = %{PACKAGE_VERSION}
Requires:    mico-devel = %{PACKAGE_VERSION}

%description static
MICO (MICO Is CORBA) is a freely available and fully compliant
implementation of the CORBA 2.2 standard Object Request Broker.  The
mico-static package contains the static libraries for writing statically
linked MICO applications.  You'll also need mico, the shared libraries
and demons for running MICO applications, and mico-devel, the IDL compiler
and headers.

%prep
%setup -q -n mico

%build
CFLAGS="$RPM_OPT_FLAGS `gtk-config --cflags`" CXXFLAGS="$RPM_OPT_FLAGS -fexceptions" \
	./configure --prefix=/usr \
		--enable-namespace \
		--enable-final \
		--disable-mini-stl \
		--with-qt=/usr/lib/qt-2.1.0 \
		--with-gtk \
		--with-x 
make

%install
if ls -d ${RPM_BUILD_ROOT} | grep tmp > /dev/null ; then
    rm -rf ${RPM_BUILD_ROOT}
else
    echo "This seems a dangerous place to rm -rf"
fi
make prefix=$RPM_BUILD_ROOT/usr install


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
if ls -d ${RPM_BUILD_ROOT} | grep tmp > /dev/null ; then
    rm -rf ${RPM_BUILD_ROOT}
else
    echo "This seems a dangerous place to rm -rf"
fi


%files
%defattr(-,root,root)
%doc $RPM_BUILD_ROOT/usr/lib/mico-setup.*
%doc CHANGES LICENSE LICENSE-GPL LICENSE-LGPL TODO
/usr/bin/containmentd
/usr/bin/iordump
/usr/bin/noded
/usr/bin/eventd
/usr/bin/imr
/usr/bin/ird
/usr/bin/micod
/usr/bin/nsadmin
/usr/bin/nsd
/usr/bin/propertyd
/usr/bin/proxyd
/usr/bin/randomd
/usr/bin/referenced
/usr/bin/timed
/usr/bin/traderd
/usr/bin/traversald
/usr/lib/lib*.so*
/usr/man/man1/imr.1*
/usr/man/man1/nsadmin.1*
/usr/man/man5/micorc.5*
/usr/man/man8/ird.8*
/usr/man/man8/micod.8*
/usr/man/man8/nsd.8*


%files devel
%defattr(-,root,root)
%doc $RPM_BUILD_ROOT/usr/doc/mico/manual.ps
%doc $RPM_BUILD_ROOT/usr/doc/mico/examples
/usr/bin/idl
/usr/bin/mico-c++
/usr/bin/mico-ld
/usr/bin/mico-ar
/usr/bin/mico-shc++
/usr/bin/mico-shld
/usr/bin/mico-cpp
/usr/include/CORBA.h
/usr/include/CORBA-SMALL.h
/usr/include/mico
/usr/include/ministl
/usr/man/man1/idl.1*


%files static
%defattr(-,root,root)
/usr/lib/*.a


%changelog
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.1
- Use qt 2.1.0
- deal with rpm compressing man pages
- bzip2 source to save space

* Thu Oct 14 1999 Christopher Blizzard <blizzard@redhat.com>
- updated to 2.3.0

* Wed Jul 28 1999 Tim Powers <timp@redhat.com>
- updated to 2.2.7
- new patch on orb/orb_all.cc not to include CORBA-c.cc (so we can build)
- built for 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- ripped out SSL stuff for PowerTools 6.0
- unfortunately, autoconf 1.23 not happy with configure.in, adapted
  most patches to be command-line args.

* Thu Jan  7 1999 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- built with --enable-final
- the Java stuff is not installed by make install, so I'll skip it for now
- demo/relship patch updated
- put the static libs in another package (mico-static); save 5 Megs
- built with egcs 1.1.1-3 and binutils 2.9.1.0.19a-2 (which I built on RH 5.2)
- FYI: gtk+-1.0.6, qt-1.42, SSLeay-0.8.1, tcl-8.0.3, XFree86-3.3.3

* Sat Dec 26 1998 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- It fails test/ir with Cygnus STL, so mini-STL is enabled now
- egcs version detection patch added
- test/idl patch added (only useful for proper testing)
- demo/relship patch added

* Fri Dec 25 1998 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- Updated to 2.2.3 & added my SSLeay bugfixes
- Built with egcs 1.1.1 and binutils 2.9.1.0.17 ...
- So, exceptions and optimization are BOTH enabled :-)
- ALL libs get built: tcl, gtk, qt (qt assumed in /usr/lib/qt), x
- SSLeay support also included (SSLeay assumed in /usr/local/ssl)

* Tue Sep 09 1998 Bruce McDonald <bruce@triphop.ml.org>

* Wed Apr 21 1998 Bruce McDonald <bruce@triphop.ml.org>
- Updated to 2.0.6 and included qt stuff 

* Sat Mar 14 1998 Jani Hakala <jahakala@cc.jyu.fi>
- updated to 2.0.5

* Sat Feb 28 1998 Jani Hakala <jahakala@cc.jyu.fi>
- added misc-patch
- moved ./configure to %build-section

* Fri Feb 13 1998 Jason Gilbert <jason@scott.net>
- updated to new release 2.0.3

* Thu Feb 12 1998 Jason Gilbert <jason@scott.net>
- updated to new release 2.0.2

* Tue Feb 10 1998 Dick Porter <dick@cymru.net>
- configure with --enable-final

* Thu Feb 05 1998 Jason Gilbert <jason@scott.net>
- Initial package creation
